%define anolis_release 2
Name: liburing
Version: 2.1
Release: %{anolis_release}%{?dist}
Summary: Linux-native io_uring I/O access library
License: (GPLv2 with exceptions and LGPLv2+) or MIT
Source0: https://github.com/axboe/liburing/archive/refs/tags/%{name}-%{version}.tar.gz
URL: https://github.com/axboe/liburing
BuildRequires: gcc
BuildRequires: make

%description
Provides native async IO for the Linux kernel, in a fast and efficient
manner, for both buffered and O_DIRECT.

%package devel
Summary: Development files for Linux-native io_uring I/O access library
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
This package provides header files to include and libraries to link with
for the Linux-native io_uring.

%prep
%autosetup

%build
%set_build_flags
./configure --prefix=%{_prefix} --libdir=/%{_libdir} --libdevdir=/%{_libdir} --mandir=%{_mandir} --includedir=%{_includedir}

%make_build

%install
%make_install

%generate_compatibility_deps

%files
%dir %{abidir}
%attr(0755,root,root) %{_libdir}/liburing.so.*
%attr(0755,root,root) %{abidir}/liburing.dump
%license COPYING

%files devel
%{_includedir}/liburing/
%{_includedir}/liburing.h
%{_libdir}/liburing.so
%exclude %{_libdir}/liburing.a
%{_libdir}/pkgconfig/*
%{_mandir}/man2/*
%{_mandir}/man3/*
%{_mandir}/man7/*

%changelog
* Wed Oct 19 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.1-2
- optimise spec file

* Mon Apr 18 2022 gcdota930915 <taifu.gc@alibaba-inc.com> - 2.1-1
- Init from upstream version 2.1
